Package fr.gouv.vitam.access.internal.serve.exception

# Class MissingAccessContractIdException

java.lang.Object
java.lang.Throwable
java.lang.Exception
fr.gouv.vitam.common.exception.VitamException
fr.gouv.vitam.access.internal.serve.exception.MissingAccessContractIdException

All Implemented Interfaces:
  `Serializable`

public class MissingAccessContractIdException extends VitamException
Exception when missing access contrat

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MissingAccessContractIdException(String message)`
  Basic constructor to indicate a simple error message without stacktrace
  `MissingAccessContractIdException(String message, Throwable throwable)`
  Constructor used to encapsulate a previously thrown exception with but with a custom meaningful message
  `MissingAccessContractIdException(Throwable throwable)`
  Constructor used to encapsulate a previously thrown exception.

- ## Method Summary

  ### Methods inherited from class fr.gouv.vitam.common.exception.VitamException

  `getVitamError, setVitamError`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MissingAccessContractIdException

    public MissingAccessContractIdException(String message)
    Basic constructor to indicate a simple error message without stacktrace
    Parameters:
      `message` - message to log

  - ### MissingAccessContractIdException

    public MissingAccessContractIdException(Throwable throwable)
    Constructor used to encapsulate a previously thrown exception. A generic message is used.
    Parameters:
      `throwable` - the originating exception

  - ### MissingAccessContractIdException

    public MissingAccessContractIdException(String message, Throwable throwable)
    Constructor used to encapsulate a previously thrown exception with but with a custom meaningful message
    Parameters:
      `message` - the message to log throw threw
      `throwable` - the originating exception